#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.1
%define		kframever	5.103.0
%define		qtver		5.15.2
%define		kaname		kdegraphics-thumbnailers
Summary:	KDE graphics thumbnailers
Name:		ka6-%{kaname}
Version:	25.04.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	a381b54c5d2cefcd887800988eb04214
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	ka6-kdegraphics-mobipocket-devel >= %{kdeappsver}
BuildRequires:	ka6-libkdcraw-devel >= %{kdeappsver}
BuildRequires:	ka6-libkexiv2-devel >= %{kdeappsver}
BuildRequires:	kf6-kio-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These plugins allow KDE software to create thumbnails for several
advanced graphic file formats (PS, RAW).

%description -l pl.UTF-8
Te wtyczki pozwalają oprogramowaniu KDE tworzyć miniaturki dla wielu
zaawansowanych formatów graficznych (PS, RAW).

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/qt6/plugins/kf6/thumbcreator
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/blenderthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/gsthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/mobithumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/rawthumbnail.so
%{_datadir}/metainfo/org.kde.kdegraphics-thumbnailers.metainfo.xml
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kdegraphics-thumbnailers.git;a=log;h=master

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 92be0fa
- updated to 25.04.1

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8f9fe57
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 989a417
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 55e9ae1
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 455abcc
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de92588
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> db7f2b9
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cd308dd
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dec4ecc
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b49951d
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 89296e6
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eb204a4
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a349b0a
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 978e5e3
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3582210
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a912fea
- updated to 24.02.0

